## pd-iemlib 1.22.1

=== Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iemlib' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

# library name, used when compiing as multi-object library
# and as the install directory
lib.name = iemlib

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# source files
class.sources = \
	src/add2_comma.c \
	src/aspeedlim.c \
	src/biquad_freq_resp.c \
	src/bpe.c \
	src/db2v.c \
	src/dollarg.c \
	src/exp_inc.c \
	src/f2note.c \
	src/fade~.c \
	src/filter~.c \
	src/FIR~.c \
	src/float24.c \
	src/for++.c \
	src/gate.c \
	src/hml_shelf~.c \
	src/iem_alisttosym.c \
	src/iem_anything.c \
	src/iem_append.c \
	src/iem_blocksize~.c \
	src/iem_cot4~.c \
	src/iem_delay~.c \
	src/iem_i_route.c \
	src/iem_pbank_csv.c \
	src/iem_pow4~.c \
	src/iem_prepend.c \
	src/iem_receive.c \
	src/iem_route.c \
	src/iem_samplerate~.c \
	src/iem_sel_any.c \
	src/iem_send.c \
	src/iem_sqrt4~.c \
	src/iem_symtoalist.c \
	src/init.c \
	src/LFO_noise~.c \
	src/list2send.c \
	src/lp1_t~.c \
	src/m2f~.c \
	src/mergefilename.c \
	src/modulo_counter.c \
	src/mov_avrg_kern~.c \
	src/para_bp2~.c \
	src/parentdollarzero.c \
	src/peakenv~.c \
	src/peakenv_AR~.c \
	src/peakenv_hold~.c \
	src/post_netreceive.c \
	src/pre_inlet.c \
	src/prepend_ascii.c \
	src/protect_against_open.c \
	src/prvu~.c \
	src/pvu~.c \
	src/receive2list.c \
	src/round_zero.c \
	src/rvu~.c \
	src/sin_freq~.c \
	src/sin_phase~.c \
	src/soundfile_info.c \
	src/sparse_FIR~.c \
	src/speedlim.c \
	src/split.c \
	src/splitfilename.c \
	src/stripfilename.c \
	src/t3_bpe.c \
	src/t3_delay.c \
	src/t3_line~.c \
	src/t3_metro.c \
	src/t3_sig~.c \
	src/t3_timer.c \
	src/toggle_mess.c \
	src/transf_fader.c \
	src/unsymbol.c \
	src/v2db.c \
	src/vcf_filter~.c \
	src/wrap.c \
	$(empty)

# install additional files which will be installed into "iemlib/"
# files are *not* searched recursively
datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)
	

# even more datafiles (from subfolders) but will be installed into "iemlib/" as well
datafiles += \
	$(wildcard alias/*.pd) \
	$(wildcard abs/*.pd) \
	$(wildcard help/*.*) \
	$(empty)

# install additional directories which will be installed into "iemlib/"
datadirs = examples \
	$(empty)


## these days, we have g_canvas.h an most systems
## if not, call make with 'have_g_canvas='
have_g_canvas = -DHAVE_G_CANVAS_H=1
cflags += $(have_g_canvas)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

## pd-iemlib 1.20.1

=== debian/changelog ===
pd-iemlib (1.20.1-2) unstable; urgency=medium

  * Enabled hardening
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
  * Update Vcs-Browser stanza
  * Fixed my uploader's name
  * Depend on 'puredata' rather than 'puredata-core'
  * Alternative B-D on puredata
  * Canonical homepage for Pd-projects
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Switched URLs to https://
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:10:10 +0100

pd-iemlib (1.20.1-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Initial release (Closes: #603183)

  [ Felipe Sateler ]
  * Add myself to Uploaders

 -- Felipe Sateler <fsateler@debian.org>  Mon, 30 Dec 2013 11:48:46 -0300

=== debian/control ===
Source: pd-iemlib
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Felipe Sateler <fsateler@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 devscripts,
 puredata-dev | puredata,
Standards-Version: 4.1.3
Section: sound
Homepage: https://downloads.puredata.info//iemlib
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemlib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemlib

Package: pd-iemlib
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: collection of general purpose objects and filters for Pure Data
 iemlib is a vast (180+) collection of objects grouped into 5 sub-libraries.
  - "iemlib1" mainly deals with digital signal processing and filters.
  - "iemlib2" adds message handling utilities targeted at CPU-efficiency.
  - "iemabs" builds on top of iemlib1 and iemlib2 to provide easy to use objects
     (mainly filters).
  - "iem_t3_lib" allows for sample-accurate message scheduling.
  - "iem_mp3" adds mp3-playing capabilities to Pd.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./Dokumentation_German\..*$

pkglibdir = /usr/lib/pd/extra

CPPFLAGS+=-I/usr/include/pd
LDFLAGS += -Wl,-as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		STRIP="true" \
		$(empty)

override_dh_auto_install:

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://sf.net/pure-data/iemlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pd-iemlib 1.21

=== debian/changelog ===
pd-iemlib (1.21-1) unstable; urgency=medium

  * New upstream version 1.21
    * Removed patches applied upstream
    * Added NEWS about loading "iemlib"
  * Updated d/watch to use (new) upstream git repository
  * Use git.iem.at as upstream homepage
  * Updated d/copyright
    * Updated licensecheck rule
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Dec 2018 17:20:12 +0100

pd-iemlib (1.20.1-3) unstable; urgency=medium

  * Backported fix for Pd-0.49's API cleanup (Closes: #909825)
  * Backported fix for long filenames
  * Declare that the build doesn't require "root" privileges
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Oct 2018 17:43:32 +0200

=== debian/control ===
Source: pd-iemlib
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Felipe Sateler <fsateler@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
 pd-lib-builder,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Section: sound
Homepage: https://git.iem.at/pd/iemlib
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemlib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemlib

Package: pd-iemlib
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: collection of general purpose objects and filters for Pure Data
 iemlib is a vast (180+) collection of objects dealing with
  - digital signal processing and filters.
  - message handling utilities targeted at CPU-efficiency.
  - abstractions to provide easy to use objects (mainly filters).
  - sample-accurate message scheduling.
  - mp3-playing capabilities to Pd.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|doc/Documentation_German\..*$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-iemlib 1.22.1

=== debian/changelog ===
pd-iemlib (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Update d/watch to mangle upstream version
  * Install examples/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Apr 2020 22:06:04 +0200

pd-iemlib (1.21-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Patch to provide IEM_DENORMAL_D()-fallbacks (Closes: #952432)
  * salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Bump dh compat to 12
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 13:21:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Felipe Sateler <fsateler@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 12),
  puredata-dev | puredata (<< 0.43),
  pd-lib-builder,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemlib

## pd-iemlib 1.22.2

=== debian/changelog ===
pd-iemlib (1.22.2-3) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder' (Closes: #1026644)
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Update 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Dec 2022 22:09:03 +0100

pd-iemlib (1.22.2-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 26 Nov 2022 23:59:01 +0100

pd-iemlib (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
    * Drop patch applied upstream
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Apr 2022 15:30:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Felipe Sateler <fsateler@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- puredata-dev | puredata (<< 0.43),
- pd-lib-builder,
-Standards-Version: 4.5.0
+ debhelper-compat (= 13),
+ dh-sequence-pd-lib-builder,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemlib
@@ -18,9 +17,13 @@
 Package: pd-iemlib
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: collection of general purpose objects and filters for Pure Data
  iemlib is a vast (180+) collection of objects dealing with
   - digital signal processing and filters.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|iem_mp3/test1\.mp3|doc/Documentation_German\..*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-iemlib 1.22.3

=== debian/changelog ===
pd-iemlib (1.22.3-4) unstable; urgency=medium

  * Fix FTBFS with gcc-14 (Closes: #1075373)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Aug 2024 22:47:52 +0200

pd-iemlib (1.22.3-3) unstable; urgency=medium

  * Add patch to compile against Pd>=0.55
    (Closes: #1073305)
  * Add 'Provides' stanza
  * Switch to dh-sequence-puredata
  * Update d/watch (because GitLab broke it)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 17:18:45 +0200

pd-iemlib (1.22.3-2) unstable; urgency=medium

  * Backport upstream patch to replace error() with pd_error()
    (Closes: #1066568)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 12:08:13 +0100

pd-iemlib (1.22.3-1) unstable; urgency=medium

  * New upstream version 1.22.3
  * Bump copyright dates

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jul 2023 13:10:07 +0200

pd-iemlib (1.22.2-4) unstable; urgency=medium

  * Re-build for both single and double-precision Pd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:28:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Felipe Sateler <fsateler@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
-Standards-Version: 4.6.2
+ dh-sequence-puredata,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemlib
@@ -24,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: collection of general purpose objects and filters for Pure Data
  iemlib is a vast (180+) collection of objects dealing with
   - digital signal processing and filters.

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/iemlib/tags?sort=updated_desc -/archive/v?\d[\d.-]+/iemlib-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
